var isInit = false;
var live_status = false;
var live_div = undefined;
var liveTool = undefined;
var device_id = undefined;
var audio_device_id = undefined;
var record_status = false;
var logo_input = undefined;
var preview_video = undefined;
var live_status_left = undefined;
var microphone_canvas = undefined;
var record_status_left = undefined;
var file_choose_button = undefined;
var reset_camera_button = undefined;
var stopRecording_button = undefined;
var stopStreaming_button = undefined;
var startStreaming_button = undefined;
var startRecording_button = undefined;
var live_key_input = undefined;
var course_button = undefined;


var player = undefined;

const deviceInit = () => {


	preview_video = document.getElementById('preview_video');	

	player = new JSMpeg.Player('ws://localhost:3000', {
      canvas: preview_video // Canvas should be a canvas DOM element
    })
	/*
	navigator.mediaDevices.enumerateDevices().then(devices =>{
		
		devices.forEach(deviceInfo =>{
			
			if(deviceInfo.kind === 'videoinput'){
				
				if(deviceInfo.label === 'OBS Virtual Camera'){
					
					device_id = deviceInfo.deviceId;
					
				}	
			}

			
			if(deviceInfo.kind === 'audioinput'){
				
				if(deviceInfo.label === 'Jabra SPEAK 510 USB'){
					
					audio_device_id = deviceInfo.deviceId;
					
				}	
			}			
		});
		
		const constraints_audio = { audio: {deviceId: device_id, echoCancellation: true }, video: false };
		const constraints_video = { audio: false, video: {deviceId: device_id }};
		
		navigator.mediaDevices.getUserMedia(constraints_video).then(stream =>{
			 
			 preview_video.srcObject = stream;
			 
						 
		 }).catch(e => console.log(e));
		 
		 //navigator.mediaDevices.getUserMedia(constraints_audio).then(stream =>{
			
		//	meter_process(stream, microphone_canvas);
			 	 
		// }).catch(errorResult);
		
	}).catch(e => console.log(e));

	*/

}

const meter_process = (audio_stream, cnvs) => {

    let cnvs_cntxt = cnvs.getContext("2d");

    let audioContext = new AudioContext();
    let microphone = audioContext.createMediaStreamSource(audio_stream);
    let javascriptNode = audioContext.createScriptProcessor(1024, 1, 1);

    let max_level_L = 0;
    let old_level_L = 0;

    microphone.connect(javascriptNode);
    javascriptNode.connect(audioContext.destination);
    javascriptNode.onaudioprocess = event =>{

        let inpt_L = event.inputBuffer.getChannelData(0);
        let instant_L = 0.0;

        let sum_L = 0.0;
        for (let i = 0; i < inpt_L.length; ++i) {
            sum_L += inpt_L[i] * inpt_L[i];
        }
        instant_L = Math.sqrt(sum_L / inpt_L.length);
        max_level_L = Math.max(max_level_L, instant_L);
        instant_L = Math.max(instant_L, old_level_L - 0.008);
        old_level_L = instant_L;

        cnvs_cntxt.clearRect(0, 0, cnvs.width, cnvs.height);
        cnvs_cntxt.fillStyle = '#00ff00';
        cnvs_cntxt.fillRect(10, 10, (cnvs.width - 20) * (instant_L / max_level_L), (cnvs.height - 20)); // x,y,w,h

    }

}

document.addEventListener('DOMContentLoaded', deviceInit);
