<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>線上直錄播系統</title>
</head>


<style>

    
    
</style>

<body>
    <div id="container">

        <header>
            <?php include('menu_header.php'); ?>
        </header>


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>直播課程</p>
                </div>
                <div class="row">
                    <div class="live-left col-md-9">
                        <div class="video-box">
                        </div>
                    </div>

                    <div class="live-right col-md-3">
                        <div class="live-info">
                            <div class="live-title">110年度秋季證照衝刺班</div>
                            <div class="teacher-name">尤京彥培訓中心</div>
                        </div>

                        <div class="tab-content live-content" id="pills-tabContent">
                            <div class="tab-pane fade show active" id="memberList">
                                <div class="member-box">
                                    <i class="fa fa-user-circle" aria-hidden="true"></i>
                                    <span>測試員1</span>
                                </div>
                                <div class="member-box">
                                    <i class="fa fa-user-circle" aria-hidden="true"></i>
                                    <span>測試員2</span>
                                </div>
                                <div class="member-box">
                                    <i class="fa fa-user-circle" aria-hidden="true"></i>
                                    <span>測試員3</span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="chattingRoom">我是聊天室</div>
                        </div>
                        <ul class="nav mb-3" id="pills-tab" role="tablist">
                            <li class="tab-li">
                                <button class=" active btn-w100 btn-turquoise" id="memberList-tab" data-bs-toggle="pill" data-bs-target="#memberList" aria-controls="memberList" aria-selected="true"><i class="fa fa-user" aria-hidden="true"></i>學員清單</button>
                            </li>
                            <li class="tab-li">
                                <button class="btn-w100 btn-orange" id="chattingRoom-tab" data-bs-toggle="pill" data-bs-target="#chattingRoom" aria-controls="chattingRoom" aria-selected="false"><i class="fa fa-commenting" aria-hidden="true"></i>聊天室</button>
                            </li>
                        </ul>
                    </div>
                </div>
        </section>

        <footer>
            <p>Copyright © 2021 範例</p>
        </footer>
    </div>




    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Boostrap5 -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-p34f1UUtsS3wqzfto5wAAmdvj+osOnFyQFpp4Ua3gs/ZVWx6oOypYoCJhGGScy+8" crossorigin="anonymous"></script>

</body>

</html>