<style>
    .navbar-toggler {
        border: none;
        padding: .75rem 0;
    }

    .nav-link {
        margin: .75rem .5rem;
    }

    .dropdown-item {
        padding: 1rem;
    }

    @media (min-width: 992px) {
        .dropdown-menu {
            padding: 0rem;
        }
        .navbar-expand-lg .navbar-collapse {
            justify-content: flex-end;
        }
    }

    @media (max-width: 991.98px) {
        .dropdown-menu {
            border: none;
        }

        .nav-item {
            border-bottom: 1px dashed #e2e2e2;
        }
    }
</style>

<nav class="navbar navbar-expand-lg navbar-light">
    <div class="container-fluid" style="width: 95%;">
        <a class="navbar-brand" href="#">線上直錄播系統</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <div>
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link" href="#">手動導播</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">預約錄影</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            影片管理
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="#">影片播放</a></li>
                            <li><a class="dropdown-item" href="#">影片下載</a></li>
                            <li><a class="dropdown-item" href="#">影片回收站</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" tabindex="-1" aria-disabled="true">管理員設定</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" tabindex="-1" aria-disabled="true">登出</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</nav>