<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>錄影EZ</title>

</head>


<style>
.video-play-info{
    padding-bottom: 1rem;
}
.play-area{
    padding: 0 1rem 1rem 1rem;
    max-width: 1024px;
    margin: 0 auto;
}
</style>

<body>
    <div id="container">

        <!--<header>
            <?php //include('menu_header.php'); ?>
        </header>-->

	<?php

	$mkupcs_id = $_GET['mkupcs_id'];
	
	include('mysql_connect.php');

	$make_up_class_result = $mysqli->query("SELECT * FROM make_up_class WHERE mkupcs_id=$mkupcs_id");

	$make_up_class_row = $make_up_class_result->fetch_assoc();


	?>

        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>課程影片播放</p>
                </div>
                <div class="bb-dashed play-area">
                <div class="video-play-info">
                    <div class="live-title"><?php echo $make_up_class_row['classname']; ?></div>
                    <div class="teacher-name"><?php echo $make_up_class_row['teacher']; ?></div>
					
					<div class="text-center mb-4">

					<h3 class="h3 mb-3 font-weight-normal"><div id="code" style="display: none;">http://61.216.52.100:8835/video/<?php echo $make_up_class_row['fileName']; ?></div></h3>
					
					<!--<p><button class="btn btn-success" data-clipboard-target="#code" onclick="CopyTextToClipboard('code')">複製影片網址</button></p>-->
					<div id="status"></div>
    </div>
					
                </div>
                		<video style="width: 100%;height: auto;" src="video/<?php echo $make_up_class_row['fileName']; ?>" autoplay controls></video>

                </div>
                <div class="d-flex justify-content-center mt-3">
                <button class="btn-normal btn-brown" onclick="history.back()">回上一頁</button>
                </div>
            </div>
        </section>

        <footer>
            <p>Copyright © 2022 Zsystem</p>
        </footer>
    </div>




    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Boostrap5 -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-p34f1UUtsS3wqzfto5wAAmdvj+osOnFyQFpp4Ua3gs/ZVWx6oOypYoCJhGGScy+8" crossorigin="anonymous"></script>

	<script>

        function CopyTextToClipboard(id) {
			
			navigator.clipboard.writeText("http://61.216.52.100:8835/video/<?php echo $make_up_class_row['fileName']; ?>");

            document.getElementById('status').innerHTML = '<font color="red">網址已複製!</font>';
			
        }

    
	
	</script>
</body>

</html>
