<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">

    <title>線上直錄播系統</title>
</head>


<style>
    body {
        background-image: url(assets/img/login-background.png);
        background-size: cover;
        background-position: bottom;
    }

    
</style>

<body>
    <div id="container">

        <!-- 內容 start -->
        <section class="main">
            <div align="center">
                <div class="login-box col-lg-6 col-md-6">
                    <div class="logo-box d-flex justify-content-center align-items-center">
                        <div>
                            <img src="assets/img/kusjh_logo-01.png">
                            <h4>線上直錄播系統</h4>
                        </div>
                    </div>
                    <br>
                    <br>
                    <div class="login-info">
			<form id="formLogin" method="POST">
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="account" name="account" required>
                            <label>請輸入帳號</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="password" class="form-control" id="password" name="password" required>
                            <label>請輸入密碼</label>
                        </div>
                        <input type="submit" class="btn-brown btn-w100 btn-lg mb-3" value="登 &nbsp; &nbsp;入">
                       
			</form>
                    </div>
                </div>
            </div>
        </section>

        <footer>
            <p>Copyright © 2021 Zsystem</p>
        </footer>
    </div>




    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap5 JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.min.js" integrity="sha384-lpyLfhYuitXl2zRZ5Bn2fqnhNAKOAaM/0Kr9laMspuaMiZfGmfwRNFh8HlMy49eQ" crossorigin="anonymous"></script>

<script src="assets/js/login.js?t=<?php echo time(); ?>"></script>
</body>

</html>
