<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>



    <title>錄影EZ</title>
</head>


<style>

</style>

<body style="background-image: url('assets/img/background.jpg');">
    <div id="container">

        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>攝影機角度位置定義</p>
                </div>
                <div class="mt-3">

                    <?php

                    $position = ['講桌', '白板', '演講特寫', '學生全景'];

                    $json_str = shell_exec("\"C:/Program Files/nodejs/node.exe\" \"F:/Data/getPreset.js\"");

                    $preset_data = json_decode($json_str);

                    for ($i = 1; $i <= 9; $i++) {

                        if(isset($preset_data->GetPresetsResponse->Preset[($i - 1)]->Name)){

                            echo '<button class="btn btn-primary" style="margin:5px 10px 15px 20px; width: 150px;text-align: left;">' . $i . ': '.$position[$i - 1].'</button><button class="btn btn-danger" style="margin:5px 10px 15px 2px;">移除</button><br><br>';

                        }else{

                            echo '<button class="btn btn-secondary" style="margin:5px 10px 15px 20px;" onclick="setPreset('.$i.')">' . $i . ': 未定義</button><br><br>';

                        }
                    }

                    ?>


                </div>
            </div>
        </section>
    </div>




    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap5 JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.min.js" integrity="sha384-lpyLfhYuitXl2zRZ5Bn2fqnhNAKOAaM/0Kr9laMspuaMiZfGmfwRNFh8HlMy49eQ" crossorigin="anonymous"></script>

    <!-- data tables -->
    <script src="assets/datatables/datatables.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#listTable').DataTable({
                "searching": true,
                "paging": true,
                "ordering": false,
                "info": false,
                "pageLength": 10,
                "lengthChange": false,
                "language": {
                    "processing": "處理中...",
                    "loadingRecords": "載入中...",
                    "lengthMenu": "每頁顯示 _MENU_ 項結果",
                    "zeroRecords": "沒有符合的結果",
                    "info": "顯示第 _START_ 至 _END_ 項結果，共 _TOTAL_ 項",
                    "infoEmpty": "顯示第 0 至 0 項結果，共 0 項",
                    "infoFiltered": "(從 _MAX_ 項結果中過濾)",
                    "infoPostFix": "",
                    "search": "搜尋:",
                    "paginate": {
                        "first": "第一頁",
                        "previous": "<",
                        "next": ">",
                        "last": "最後一頁"
                    },
                }

            });
        });

        const setPreset = (number) =>{

            let yes = confirm('確定要將目前鏡頭角度儲存在編號' + number +'的位置嗎？');

            if(yes){
                alert('您按下確定設定按鈕！');
            }

        };
    </script>

</body>

</html>