<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>線上直錄播系統</title>


    <!-- Bootstrap5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

    <!-- icons -->
    <link rel="stylesheet" href="assets/css/icons.css">

    <!-- Google icon -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- datatable -->
    <link rel="stylesheet" href="assets/datatables/datatables.min.css">

    <!-- Font Awesome -->
    <script src="https://use.fontawesome.com/ff127234b9.js"></script>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css?=<?php echo time(); ?>">


    <link href="assets/plugins/jquery-ui/jquery-ui.min.css" rel="stylesheet">

    <link href="assets/plugins/fullcalendar/fullcalendar.css" rel="stylesheet">

    <style type="text/css" media="screen">
       #modalbox {
          display:none;
          position: fixed;
          overflow: auto;
          overflow-x: hidden;
          top: 0;
          right: 0;
          bottom: 0;
          left: 0;
          z-index: 5000;
          background:rgba(0,0,0,0.8);
        }
        #modalbox .devoops-modal {
          position:absolute;top:90px;left:0;right:0;margin:auto;
          border: 1px solid #ccc;
          box-shadow: 0 0 10px #505559;
          background: transparent;
          margin-bottom: 20px;
          -webkit-border-radius: 3px;
          -moz-border-radius: 3px;
          border-radius: 3px;
          width: 600px;
          z-index:6000;
        }
        #modalbox .devoops-modal-header {
          color: #505559;
          position:relative;
          overflow: hidden;
          height: 24px;
          border-bottom: 1px solid #ccc;
          background-color: #eaeaea;
          background-image: -webkit-linear-gradient(top, #eaeaea, #e0e0e0);
          background-image:    -moz-linear-gradient(top, #eaeaea, #e0e0e0);
          background-image:     -ms-linear-gradient(top, #eaeaea, #e0e0e0);
          background-image:      -o-linear-gradient(top, #eaeaea, #e0e0e0);
          background-image:         linear-gradient(to bottom, #eaeaea, #e0e0e0);
        }
        #modalbox .devoops-modal-inner {
          position: relative;
          overflow: hidden;
          padding: 15px;
          background: #FBFBF0;
        }
        #modalbox .devoops-modal-bottom {
          position: relative;
          overflow: hidden;
          padding: 15px;
          background: #d8d8d8;
        }
    </style>
</head>


<style>


</style>

<body>
    <div id="container">

        <header>
            <?php include('menu_header.php'); ?>
        </header>


        <!-- 內容 start -->
        <section class="main">
            <div class="content">
                <div class="page-title">
                    <p>預約錄影 - 課程行事曆</p>
                </div>
                <!--<button class="btn-normal btn-brown mb-3" data-bs-toggle="modal" data-bs-target="#addSingleModal">新增單次預約</button>-->
                <?php echo date("Y") . "年" . date("m") . "月" . date("d") . "日 " . $week; ?>

                <div id="modalbox">
                    <div class="devoops-modal">
                        <div class="devoops-modal-header">
                            <div class="modal-header-name">
                                <span>新增課程</span>
                            </div>
                            <div class="box-icons">
                                <a class="close-link">
                                    <i class="fa fa-times"></i>
                                </a>
                            </div>
                        </div>
                        <div class="devoops-modal-inner">
                            <form id="event_form">
                                <div class="form-group has-success has-feedback">
                                    <label">課程名稱<div><input type="text" id="newevent_name" class="form-control" placeholder="輸入課程名稱"></div>
                                        <label">教師名稱<div><input type="text" id="teach_name" class="form-control" placeholder="輸入教師名稱"></div>
                                            <label">版面設定<div><input type="text" id="layout" class="form-control" placeholder="ex:123 13 ..."></div>
                                                <label">開始時間<div><input type="text" id="input_time" class="form-control" placeholder="Time"><input type="text" id="layout" class="form-control" placeholder="ex:08:30"></div>
                                                    <label">結束時間<div><input type="text" id="layout" class="form-control" placeholder="ex:14:00"></div>
                                                    </label">
                                                </label">
                                            </label">
                                        </label">
                                    </label">
                                </div>
                            </form>
                        </div>
                        <div class="devoops-modal-bottom"><button id="event_cancel" type="cancel" class="btn btn-default btn-label-left"><span><i class="fa fa-clock-o txt-danger"></i></span>取消</button><button type="submit" id="event_submit" class="btn btn-primary btn-label-left pull-right"><span><i class="fa fa-clock-o"></i></span>新增預約</button></div>
                    </div>

                    <!--<div id="calendar"></div>-->



                </div>
        </section>

        <footer>
            <p>Copyright © 2021 範例</p>
        </footer>
    </div>

    <!-- modal -->
    <!--<div class="modal fade" id="addSingleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">新增單次預約</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="close"></button>
                </div>
                <div class="modal-body">
                    <p class="mb-3">請填寫以下預約課程資訊</p>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control">
                        <label>課程名稱</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control">
                        <label>教師名稱</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control">
                        <label>上課時間（ex.09:00-10:30）</label>
                    </div>
                    <div class="form-floating mb-3">
                        <select class="form-select" id="floatingSelect" aria-label="Floating label select">
                            <option selected>上課教室</option>
                            <option value="1">601教室</option>
                            <option value="2">704教室</option>
                        </select>
                        <label for="classSelect">上課教室</label>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-normal btn-cancel" data-bs-dismiss="modal">取消返回</button>
                    <button type="button" class="btn-normal btn-brown">送出新增</button>
                </div>
            </div>
        </div>
    </div>-->


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap5 JS -->
    <script src="assets/plugins/jquery/jquery.min.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>-->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.min.js" integrity="sha384-lpyLfhYuitXl2zRZ5Bn2fqnhNAKOAaM/0Kr9laMspuaMiZfGmfwRNFh8HlMy49eQ" crossorigin="anonymous"></script>

    <script src="assets/plugins/jquery-ui/jquery-ui.min.js"></script>
    <script src="assets/plugins/jquery-ui-timepicker-addon/jquery-ui-timepicker-addon.min.js"></script>

    <script src="assets/plugins/moment/moment.min.js"></script>
    <script src="assets/plugins/fullcalendar/fullcalendar.js"></script>
    <script src="assets/plugins/fullcalendar/lang-all.js"></script>

    <script>


        $(document).ready(function() {


        });
        /*
         時間選擇
         */
        function open_time(e,id) {
            $('#'+e.id).timepicker({setDate: new Date()});
        }
        function open_time2(id) {
            $('#'+id).timepicker({setDate: new Date()});
        }
        // Load scripts and draw Calendar
        //
        function DrawFullCalendar(){
            LoadCalendarScript(DrawCalendar);
        }

        /*-------------------------------------------
         Dynamically load plugin scripts
         ---------------------------------------------*/
        //
        // Dynamically load Fullcalendar Plugin Script
        // homepage: http://arshaw.com/fullcalendar
        // require moment.js
        //
        function LoadCalendarScript(callback){
            function LoadFullCalendarScript(){
                if(!$.fn.fullCalendar){
                    $.getScript('assets/plugins/fullcalendar/fullcalendar.js', callback);
                    // $.getScript('plugins/fullcalendar/lang-all.js', callback);
                }
                else {
                    if (callback && typeof(callback) === "function") {
                        callback();
                    }
                }
            }
            if (!$.fn.moment){
                $.getScript('assets/plugins/moment/moment.min.js', LoadFullCalendarScript);

            }
            else {
                LoadFullCalendarScript();
            }
        }
        function OpenModalBox(header, inner, bottom){
            var modalbox = $('#modalbox');
            modalbox.find('.modal-header-name span').html(header);
            modalbox.find('.devoops-modal-inner').html(inner);
            modalbox.find('.devoops-modal-bottom').html(bottom);
            modalbox.fadeIn('fast');
            $('body').addClass("body-expanded");
        }

        //  Close modalbox
        //
        //
        function CloseModalBox(){
            var modalbox = $('#modalbox');
            modalbox.fadeOut('fast', function(){
                modalbox.find('.modal-header-name span').children().remove();
                modalbox.find('.devoops-modal-inner').children().remove();
                modalbox.find('.devoops-modal-bottom').children().remove();
                $('body').removeClass("body-expanded");
            });
        }

        $('body').on('click', 'a.close-link', function(e){
            e.preventDefault();
            CloseModalBox();
        });

        $.ajax({
            url: 'process.php',
            type: 'POST', // Send post data
            data: 'type=fetch',
            async: false,
            success: function(s){
                json_events = s;

            }
        });
        /*-------------------------------------------
         Function for Calendar page (calendar.html)
         ---------------------------------------------*/
        var zone = "08:00";  //Change this to your timezone

        //
        // Example form validator function
        //
        // function DrawCalendar(){
        /* initialize the external events
         -----------------------------------------------------------------*/
        $('#external-events div.external-event').each(function() {
            // create an Event Object (http://arshaw.com/fullcalendar/docs/event_data/Event_Object/)
            var eventObject = {
                title: $.trim($(this).text()) // use the element's text as the event title
            };
            // store the Event Object in the DOM element so we can get to it later
            $(this).data('eventObject', eventObject);
            // make the event draggable using jQuery UI
            $(this).draggable({
                zIndex: 999,
                revert: true,      // will cause the event to go back to its
                revertDuration: 0  //  original position after the drag
            });
        });
        /* initialize the calendar
         -----------------------------------------------------------------*/
        var calendar = $('#calendar').fullCalendar({
            header: {
                left: 'prev,next today',
                center: 'title',
                right: 'month,agendaWeek,agendaDay'
            },
            selectable: true,
            selectHelper: true,
            lang: 'zh-tw',
            events: JSON.parse(json_events),
            //events: [{"id":"14","title":"New Event","start":"2015-01-24T16:00:00+04:00","allDay":false}],
            select: function(start, end, allDay,event) {
                // console.log(start.format("YYYY-MM-DD HH:mm:SS"));
                var currDate = Date.parse(new Date().toDateString());
                var cal_date = Date.parse(start.format("YYYY-MM-DD HH:mm:SS")) +86400000 -1;
                // console.log(cal_date);

                if(cal_date < currDate ){
                    alert('時間已經過了 不能新增！');
                    $('#calendar').fullCalendar('removeEvents');//移除事件
                    getFreshEvents();//更新行事曆

                }else{

                    var form = $('<form id="event_form">'+
                        '<div class="form-group has-success has-feedback">'+
                        '<label">課程名稱</label>'+
                        '<div>'+
                        '<input type="text" id="newevent_name" class="form-control" placeholder="輸入課程名稱">'+
                        '</div>'+
                        '<label">教師名稱</label>'+
                        '<div>'+
                        '<input type="text" id="teach_name" class="form-control" placeholder="輸入教師名稱">'+
                        '</div>'+
                        '<label">版面設定</label>'+
                        '<div>'+
                        //'<input type="text" id="layout" class="form-control" placeholder="ex:123 13 ...">'+
                        '<select id="layout" name="layout" class="form-control"><optgroup label="單畫面"><option value="1000">板書</option><option value="0100">白板</option><option value="0010">學生</option><option value="0001">電腦</option></optgroup><optgroup label="雙畫面"><option value="1100">板書&白板</option><option value="1001">板書&電腦</option><option value="1010">板書&學生</option><option value="0101">白板&電腦</option><option value="0110">白板&學生</option><option value="0011">電腦&學生</option></optgroup><optgroup label="三畫面"><option value="1111">板書三畫面</option><option value="1112">白板三畫面</option><option value="1113">學生三畫面</option><option value="1114">電腦三畫面</option></optgroup></select>'+
                        '</div>'+
                        '<label">開始時間</label>'+
                        '<div>'+
                        '<input type="text" id="rec_time_start" class="form-control" placeholder="選擇時間" onclick="open_time(this)" value="00:00">'+
                        '</div>'+
                        '<label">結束時間</label>'+
                        '<div>'+
                        '<input type="text" id="rec_time_stop" class="form-control" placeholder="選擇時間" onclick="open_time(this)"  value="00:00">'+
                        '</div>'+
                        '<label">是否直播</label>'+
                        '<div>'+
                        '<select id="isLive" name="isLive"><option value="1">是</option><option value="0">否</option></select>'+
                        '</div>'+
                        // '<label>課程說明</label>'+
                        // '<div>'+
                        // '<textarea rows="3" id="newevent_desc" class="form-control" placeholder="Description"></textarea>'+
                        // '</div>'+
                        '</div>'+
                        '</form>');
                    var buttons = $('<button id="event_cancel" type="cancel" class="btn btn-default btn-label-left">'+
                        '取消'+
                        '</button>'+
                        '<button type="submit" id="event_submit" class="btn btn-primary btn-label-left pull-right">'+
                        '<span><i class="fa fa-clock-o"></i></span>'+
                        '新增預約'+
                        '</button>');

                    OpenModalBox('新增課程', form, buttons);
                    open_time2('rec_time_start');
                    open_time2('rec_time_stop');
                    $('#event_cancel').on('click', function(){
                        CloseModalBox();
                    });
                    $('#event_submit').on('click', function(){
                        var new_event_name = $('#newevent_name').val();
                        var rec_start = $('#rec_time_start').val();
                        var rec_stop = $('#rec_time_stop').val();
                        var layout = $('#layout').val();
                        var teach_name = $('#teach_name').val();
                        var isLive = $('#isLive').val();
                        var category = $('#category').val();

                        if (new_event_name != ''){
                            var start2 = start.format("YYYY-MM-DD ")+rec_start+':00';
                            var stop  = start.format("YYYY-MM-DD ")+rec_stop+':00';
                            // var start2 = start.format("YYYY-MM-DD[T]HH:mm:SS");
                            $.ajax({
                                url: 'process.php',
                                data: 'type=new&title='+new_event_name+'&startdate='+start2+'&enddate='+stop+'&zone='+zone+'&rec_start='+rec_start+'&rec_stop='+rec_stop+'&layout='+layout+'&teach_name='+teach_name+'&isLive='+isLive+'&category='+category,
                                type: 'POST',
                                dataType: 'json',
                                success: function(response){
                                    $('#calendar').fullCalendar('removeEvents');//移除事件
                                    getFreshEvents();//更新行事曆

                                },
                                error: function(e){
                                    console.log(e.responseText);

                                }
                            });

                        }
                        CloseModalBox();
                    });
                    calendar.fullCalendar('unselect');
                }
            },
            editable: true,
            droppable: true, // this allows things to be dropped onto the calendar !!!
            drop: function(date, allDay) { // this function is called when something is dropped

                // retrieve the dropped element's stored Event Object
                var originalEventObject = $(this).data('eventObject');
                // we need to copy it, so that multiple events don't have a reference to the same object
                var copiedEventObject = $.extend({}, originalEventObject);
                // assign it the date that was reported
                copiedEventObject.start = date;
                copiedEventObject.allDay = allDay;
                // render the event on the calendar
                // the last `true` argument determines if the event "sticks" (http://arshaw.com/fullcalendar/docs/event_rendering/renderEvent/)
                $('#calendar').fullCalendar('renderEvent', copiedEventObject, true);
                // is the "remove after drop" checkbox checked?
                if ($('#drop-remove').is(':checked')) {
                    // if so, remove the element from the "Draggable Events" list
                    $(this).remove();
                }
            },
            eventRender: function (event, element, icon) {

                if (event.description != "") {
                    element.attr('title', event.description);
                }
            },

            eventDrop: function(event, delta, revertFunc) {
                // console.log(event);

                // alert(event.start.format());
                var currDate = Date.parse(new Date().toDateString());
                var cal_date = Date.parse(event.start) -28800000;

                if(cal_date < currDate ){
                    alert('已經開始錄影或錄影完畢 不能編輯！');
                    $('#calendar').fullCalendar('removeEvents');//移除事件
                    getFreshEvents();//更新行事曆

                }else{
                    var title = event.title;
                    var start = event.start.format();
                    var end = (event.end == null) ? start : event.end.format();
                    $.ajax({
                        url: 'process.php',
                        data: 'type=resetdate&title='+title+'&start='+start+'&end='+end+'&eventid='+event.id,
                        type: 'POST',
                        dataType: 'json',
                        success: function(response){
                            if(response.status != 'success')
                                revertFunc();
                        },
                        error: function(e){
                            revertFunc();
                            alert('Error processing your request: '+e.responseText);
                        }
                    });
                }

            },

            eventClick: function(calEvent, jsEvent, view) {
                var cal_data ;
                // console.log(calEvent.start.format());

                var currDate = Date.parse(new Date());
                var cal_date = Date.parse(calEvent.start)-28800000;

                // console.log(currDate +" /n " + cal_date );

                if(cal_date < currDate ){

                    alert('已經開始錄影或錄影完畢 不能編輯！');

                }else{
                    // console.log(calEvent);
                    $.ajax({
                        async: false,
                        type: "GET",
                        url: 'get_event.php?id='+calEvent.id,
                        dataType: "html",
                        success : function(data) {
                            cal_data = JSON.parse(data);
                        }
                    });

                    // console.log( cal_data.start.substr(0, 10) );

                    //calEvent.title
                    var form = $('<form id="event_form">'+
                        '<div class="form-group has-success has-feedback">'+
                        '<label">課程名稱</label>'+
                        '<div>'+
                        '<input type="text" id="newevent_name" class="form-control" placeholder="輸入課程名稱" value="'+cal_data.title+'">'+
                        '</div>'+
                        '<label">教師名稱</label>'+
                        '<div>'+
                        '<input type="text" id="teach_name" class="form-control" placeholder="輸入教師名稱" value="'+cal_data.teach_name+'">'+
                        '</div>'+
                        '<label">版面設定</label>'+
                        '<div>'+
                        //'<input type="text" id="layout" class="form-control" placeholder="ex:123 13 ..." value="'+cal_data.layout+'">'+
                    '<select id="layout" name="layout" class="form-control">' +
                    '<optgroup label="單畫面">' +
                    '<option value="1000" '+(cal_data.layout == '1000' ? 'selected' : '')+'>板書</option>' +
                    '<option value="0100" '+(cal_data.layout == '0100' ? 'selected' : '')+'>白板</option>' +
                    '<option value="0010" '+(cal_data.layout == '0010' ? 'selected' : '')+'>學生</option>' +
                    '<option value="0001" '+(cal_data.layout == '0001' ? 'selected' : '')+'>電腦</option>' +
                    '</optgroup><optgroup label="雙畫面">' +
                    '<option value="1100" '+(cal_data.layout == '1100' ? 'selected' : '')+'>板書&白板</option>' +
                    '<option value="1001" '+(cal_data.layout == '1001' ? 'selected' : '')+'>板書&電腦</option>' +
                    '<option value="1010" '+(cal_data.layout == '1010' ? 'selected' : '')+'>板書&學生</option>' +
                    '<option value="0101" '+(cal_data.layout == '0101' ? 'selected' : '')+'>白板&電腦</option>' +
                    '<option value="0110" '+(cal_data.layout == '0110' ? 'selected' : '')+'>白板&學生</option>' +
                    '<option value="0011" '+(cal_data.layout == '0011' ? 'selected' : '')+'>電腦&學生</option>' +
                    '</optgroup><optgroup label="三畫面">' +
                    '<option value="1111" '+(cal_data.layout == '1111' ? 'selected' : '')+'>板書三畫面</option>' +
                    '<option value="1112" '+(cal_data.layout == '1112' ? 'selected' : '')+'>白板三畫面</option>' +
                    '<option value="1113" '+(cal_data.layout == '1113' ? 'selected' : '')+'>學生三畫面</option>' +
                    '<option value="1114" '+(cal_data.layout == '1114' ? 'selected' : '')+'>電腦三畫面</option></optgroup></select>'+
                        '</div>'+
                        '<label">開始時間</label>'+
                        '<div>'+
                        '<input type="text" id="rec_time_start" class="form-control" placeholder="選擇時間" onclick="open_time(this)" value="'+cal_data.rec_start+'">'+
                    '</div>'+
                        '<label">結束時間</label>'+
                        '<div>'+
                        '<input type="text" id="rec_time_stop" class="form-control" placeholder="選擇時間" onclick="open_time(this)" value="'+cal_data.rec_stop+'">'+
                        '</div>'+
                       '<label">是否直播</label>'+
                        '<div>'+
                        '<select id="isLive">' +
                    '<option value="1">是</option>' +
                    '<option value="0" '+(cal_data.isLive == '0' ? 'selected' : '')+'>否</option></select>'+
                        '</div>'+
                        '</div>'+
                        '</form>');
                    var buttons = $('<button id="event_cancel" type="cancel" class="btn btn-default btn-label-left">'+
                        '<span><i class="fa fa-clock-o txt-danger"></i></span>'+
                        'Cancel'+
                        '</button>'+
                        '　<button id="event_delete" type="cancel" class="btn btn-danger btn-label-left">'+
                        '<span><i class="fa fa-clock-o txt-danger"></i></span>'+
                        'Delete'+
                        '</button>'+
                        '<button type="submit" id="event_change" class="btn btn-primary btn-label-left pull-right">'+
                        '<span><i class="fa fa-clock-o"></i></span>'+
                        'Save changes'+
                        '</button>');
                    OpenModalBox('編輯課程', form, buttons);
                    open_time2('rec_time_start');
                    open_time2('rec_time_stop');

                    $('#event_cancel').on('click', function(){
                        CloseModalBox();
                    });
                    $('#event_delete').on('click', function(){
                        $.ajax({
                            url: 'process.php',
                            data: 'type=remove&eventid='+calEvent.id,
                            type: 'POST',
                            dataType: 'json',
                            success: function(response){
                                // console.log(response);
                                if(response.status == 'success'){
                                    $('#calendar').fullCalendar('removeEvents');
                                    getFreshEvents();
                                }
                            },
                            error: function(e){
                                alert('Error processing your request: '+e.responseText);
                            }
                        });
                        // calendar.fullCalendar('removeEvents' , function(ev){
                        //  return (ev._id == calEvent._id);
                        // });
                        CloseModalBox();
                    });
                    $('#event_change').on('click', function(){
                        calEvent.title = $('#newevent_name').val();
                        // calEvent.description = $('#newevent_desc').val();
                        calEvent.rec_start = $('#rec_time_start').val();
                        calEvent.rec_stop = $('#rec_time_stop').val();
                        calEvent.layout = $('#layout').val();
                        calEvent.teach_name = $('#teach_name').val();
                        calEvent.isLive = $('#isLive').val();
                        calEvent.category = $('#category').val();
                        var useDay = cal_data.start.substr(0, 10);
                        // calendar.fullCalendar('updateEvent', calEvent);

                        //console.log('type=changetitle&title='+calEvent.title+'&eventid='+calEvent.id);
                        //console.log('type=changetitle&title='+calEvent.title+'&rec_start='+calEvent.rec_start+'&rec_stop='+calEvent.rec_stop+'&layout='+calEvent.layout+'&teach_name='+calEvent.teach_name+'&isLive='+calEvent.isLive+'&eventid='+calEvent.id+'&useDay='+useDay);
                        $.ajax({
                            url: 'process.php',
                            data: 'type=changetitle&title='+calEvent.title+'&rec_start='+calEvent.rec_start+'&rec_stop='+calEvent.rec_stop+'&layout='+calEvent.layout+'&teach_name='+calEvent.teach_name+'&isLive='+calEvent.isLive+'&eventid='+calEvent.id+'&useDay='+useDay+'&category='+calEvent.category,
                            type: 'POST',
                            dataType: 'json',
                            success: function(response){
                                if(response.status == 'success')
                                    $('#calendar').fullCalendar('updateEvent',calEvent);
                            },
                            error: function(e){
                                alert('Error processing your request: '+e.responseText);
                            }
                        });

                        CloseModalBox();
                    });
                }
            }

        });
        $('#new-event-add').on('click', function(event){
            event.preventDefault();
            var event_name = $('#new-event-title').val();
            var event_description = $('#new-event-desc').val();
            if (event_name != ''){
                var event_template = $('<div class="external-event" data-description="'+event_description+'">'+event_name+'</div>');
                $('#events-templates-header').after(event_template);
                var eventObject = {
                    title: event_name,
                    description: event_description
                };
                // store the Event Object in the DOM element so we can get to it later
                event_template.data('eventObject', eventObject);
                event_template.draggable({
                    zIndex: 999,
                    revert: true,
                    revertDuration: 0
                });
            }
        });

        function getFreshEvents(){
            $.ajax({
                url: 'process.php',
                type: 'POST', // Send post data
                data: 'type=fetch',
                async: false,
                success: function(s){
                    freshevents = s;
                    console.log(s);

                }
            });

            $('#calendar').fullCalendar('addEventSource', JSON.parse(freshevents));
        }





        // }
        </script>



</body>

</html>